How can i get rid of priiloader and update my wii please ?

Discussion in 'Wii - Hacking' started by REDBULL2K7, Dec 15, 2010.

  1. REDBULL2K7
    OP

    REDBULL2K7 Newbie

    Newcomer
    8
    0
    Mar 15, 2009
    Hi just got this wii off ebay , it was sold as normal and the softmod and the hard mod werent mentioned , turns out its been softmodded and has a wasabi dx chip installed , the thing is it wont update from disk or the net and i want to install 4.3 on it , ive pressed the reset button whilst booting and it brings up a priiloader menu but theres no option to select that could be blocking me from updating ? and the wasabi dx menu has these options but there not selected so its not that either , any help would be appreciated .

    thanks
     
  2. Pyrate02

    Pyrate02 GBAtemp Fan

    Member
    304
    6
    Apr 24, 2009
    United States
    New York City
    First of all, why do you want to update to 4.3? As far as I know, no game requires it.

    Secondly, it sounds like the Priiloader hacks to disable disk and system updates was set. When you get to the Priiloader boot screen, press down on the Wiimote to get to the system hacks menu and enable updates, click save on the bottom and exit.
     
  3. icecold

    icecold Advanced Member

    Newcomer
    72
    0
    Oct 7, 2008
    Check what version of Priiloader you have, download it and uninstall Priiloader
     
  4. Pyrate02

    Pyrate02 GBAtemp Fan

    Member
    304
    6
    Apr 24, 2009
    United States
    New York City
    I would not recommend getting rid of priiloader. Some of the more recent games will prompt you to update (even if you are on 4.3) and you won't be able to play from a disk without updating and breaking the softmod. Then again, if you dont care about softmod at all, go ahead.
     
  5. trumpet-205

    trumpet-205 Embrace the darkness within

    Member
    4,363
    542
    Jan 14, 2009
    United States
    When you update a system menu, Priiloader is automatically removed. Just disable all Priiloader hacks and update the SM.
     
  6. lulwut

    lulwut GBAtemp Fan

    Member
    331
    0
    Mar 19, 2010
    if thats possible.

    there is a known bug that will prevent SM from updating itself (aka from online update or disc) when priiloader is installed
    known for 0.4 and higher

    source : http://wiibrew.org/wiki/Preloader/Priiloader#Known_Issues
     
  7. burritoboy9984

    burritoboy9984 GBAtemp Advanced Fan

    Member
    845
    9
    Jan 24, 2009
    United States
    You will need to download a hacks.ini file (see here). Download and copy the file to the root of your sd card. THEN hold reset while powering on, go to hacks, and you should see them all. Disable the 2 that say Block updates. Alternatively, you could use ModMii to update your wii to 4.3. Just download the program, follow the prompts to select the 4.3 for your region and you should be good to go (regardless, make sure you install the latest hbc so 4.3 doesn't delete it).

    -Erik
     
  8. REDBULL2K7
    OP

    REDBULL2K7 Newbie

    Newcomer
    8
    0
    Mar 15, 2009
    Cheers guys ive tried selecting hacks etc but it gives a error saying it cant befound , i think this is because theres no sd card with the software on ?. the wii is chipped anyways so dont really want the softmod will get a sd card and down load priiloader as mentioned above and try again .

    thanks
     
  9. REDBULL2K7
    OP

    REDBULL2K7 Newbie

    Newcomer
    8
    0
    Mar 15, 2009
    right just tried the hack.ini file on a sd card and it gives loads of options and the ones to stop it from updating are disabled but it still wont update , so i enabled the hacks and now instead of the game wanting to update it now works so thats good till one needs 4.3e lol, in the menu for priiloader theres no option to disable updates etc so i cant select it to disable it as mention above .

    thanks
     
  10. Magsor

    Magsor I am watching you

    Member
    960
    65
    Dec 1, 2010
    Canada
    Amos
    No games will ever need 4.3 EVER. This is just not the way it works. Nevertheless you can download modmii and update it anyways. Newer games just need newer ios not a new system menu
     
  11. llavalaurenn

    llavalaurenn Newbie

    Newcomer
    1
    0
    Dec 23, 2010
    Canada

    really? i just rented super mario galaxy, and it requires a 4.3U update, in order for me to play it.
     
  12. burritoboy9984

    burritoboy9984 GBAtemp Advanced Fan

    Member
    845
    9
    Jan 24, 2009
    United States
    Load it through neogamma and it will work... Like he said, 4.3 isn't NEEDED, the disc channel just thinks it is [​IMG]

    -Erik